This is the file "copying.dj".  It does not apply to any sources or
binaries copyrighted by UCB Berkeley or the Free Software Foundation.

   Copyright Information for sources and executables that are marked
   Copyright (C) DJ Delorie
                 24 Kirsten Ave
                 Rochester NH  03867-2954

This document is Copyright (C) DJ Delorie and may be distributed
verbatim, but changing it is not allowed.

Source code copyright DJ Delorie is distributed under the terms of the
GNU General Public Licence, with the following exceptions:

* Any existing copyright or authorship information in any given source
file must remain intact.  If you modify a source file, a notice to that
effect must be added to the authorship information in the source file. 

* binaries provided in djgpp may be distributed without sources ONLY if
the recipient is given sufficient information to obtain a copy of djgpp
themselves.  This primarily applies to go32.exe, emu387, stub.exe, and
the graphics drivers. 

* modified versions of the binaries provided in djgpp must be
distributed under the terms of the GPL. 

* objects and libraries linked into an application may be distributed
without sources. 

-----

Changes to source code copyright BSD or FSF by DJ Delorie fall under
the terms of the original copyright.

A copy of the file "COPYING" is included with this document.  If you did not
receive a copy of "COPYING", you may obtain one from whence this document
was obtained, or by writing:
      Free Software Foundation
      675 Mass Ave
      Cambridge, MA  02139
      USA
